# Инструментальные средства разработки программного обеспечения Visio

#  Что такое Visio?

Microsoft Visio — программа для создания всевозможных видов схем. К их числу относятся блок-схемы, органиграммы, планы зданий и этажей, диаграммы DFD, схемы технологических процессов, модели бизнес-процессов, диаграммы плавательных дорожек, трехмерные карты и так далее. Будучи продуктом Microsoft, Visio продается как дополнение к пакету MS Office. Последняя версия Visio была выпущена в 2016 году в трех изданиях — Visio Standard, Visio Professional и Visio Pro для Office 365. Visio 2016 продается по следующим тарифам: Standard — 299,99 $, Professional — 589,99 $ и Pro для Office 365 — 13 $ в месяц (при оформлении на год) либо 15,50 $ в месяц (с продлением каждый месяц).
Схема Visio

Все версии поддерживают традиционные функции MS Office Word и Excel, например, настройку шрифта и цвета, а также позволяют импортировать данные напрямую из MS Excel и Access. Подобно другим аналогичным программам, Visio располагает библиотекой фигур и шаблонов, которые помогут вам приступить к работе по созданию разных типов схем. Внимание: Microsoft Visio не имеет отношения к компании Vizio Inc. (с буквой «z» в середине), которая занимается производством телевизоров и другой бытовой электроники.
Схема Visio (2)

# С чего началась история Visio

Программа Visio появилась в 90-х годах. Ее разработчик Shapeware Corp. сначала выпустил предварительную версию .92, а затем в 1992 году — версию 1.0. Программа стремительно набрала популярность, и в 1995 году компания-разработчик была переименована в Visio Corp. В 2000 году корпорация Microsoft приобрела Visio, добавив продукт в семейство MS Office.Однако, подобно MS Project, сервис Visio всегда продавался отдельно от остального пакета Office.

# Разные версии Visio за годы существования

Первые персии Visio носили пометки от 1.0 до 5.0 и предоставлялись в трех изданиях каждая.
Visio Professional  Visio Standard

После того как в 2000 году права на Visio перешли в Microsoft, версии и издания программы приобрели следующий вид:

*     Visio 2000 (v 6.0 — Standard, Professional, Technical, Enterprise)
*     Visio 2002 (v 10.0 — Standard, Professional). Версии с 7.0 по 9.0 были пропущены, чтобы выровнять нумерацию с релизами пакета MS Office.
*     Visio for Enterprise Architects 2003 (VEA 2003)
*     Office Visio 2003 (v 11.0 — Standard, Professional)
*     Office Visio for Enterprise Architects 2005 (VEA 2005)
*     Office Visio 2007 (v 12.0 — Standard, Professional)
*     Visio 2010 (v 14.0 — Standard, Professional, Premium). Версия 13.0 была пропущена
*     Visio 2013 (v 15.0 — Standard, Professional)
*     Visio 2016 (v 16.0 — Standard, Professional, Office 365)

Visio не поддерживает версии для Mac.

# Как используется Visio

Visio находит применение в разных сферах, где требуется создание профессиональных схем. Однако, если принять во внимание стоимость Visio, возможно, для вашего проекта вполне подойдет схема, нарисованная вручную или составленная с помощью базового набора MS Office. Вы также можете обратиться к бесплатным или более доступным по цене, но не менее эффективным сервисам, например, lucidchart.com, который, к слову, работает на компьютерах Mac. (Подробнее об этом в конце статьи.)

Безусловно, при правильных условиях в Visio можно создавать все виды удобных профессиональных схем, которые украсят любую презентацию, отчет, аудит, строительный проект, план этажа, документ или модель повышения эффективности. В арсенале Visio богатая библиотека фигур и символов, применяемых в десятках видов схем. Каждая из этих фигур обозначает определенный элемент той или иной схемы, например, схемы технологических процессов, диаграммы DFD, модели бизнес-процессов и не только. Все эти виды схем широко применяются в разных областях и служат разным целям.
Вот лишь несколько примеров:

    Во всех сферах деятельности. Блок-схемы принимают разнообразные формы и позволяют документировать и анализировать процессы; стандартизировать их для повышения эффективности и качества; передавать их содержимое в целях обучения или для осведомления сотрудников других отделов; а также выявлять недочеты, пустую трату ресурсов и лишние шаги с целью совершенствования процессов.
    В разработке программного обеспечения и бизнес-аналитике. Диаграммы DFD обеспечивают сфокусированный подход на этапе технической разработки, где очень важно собрать и проанализировать информацию, прежде чем приступить непосредственно к написанию кода. Бизнес-аналитики полагаются на DFD для анализа существующих систем и выявления в них участков с низкой эффективностью. Схематичное представление процесса позволяет обнаружить в нем шаги, которые иначе легко упустить или сложно осмыслить.
    В сфере бизнеса. Метод нотации моделирования бизнес-процессов (BPMN) рассчитан на участников делового процесса и других заинтересованных лиц, которые с помощью BPMN-схем могут получить доступную картину задействованных этапов. Схемы более детальных уровней предназначены для тех, кто непосредственно вовлечен во внедрение процесса, и в них содержится достаточно информации для выполнения этой задачи.
    В химической инженерии и проектировании технологических процессов. Схема технологического процесса (PFD) — разновидность блок-схемы, где иллюстрируются связи между основными компонентами промышленного предприятия. Такие схемы применяются для документирования, анализа и аудита задействованных процессов или для моделирования более эффективных методов их выполнения.


